%define svn 12
%define major 0
%define libname %mklibname vbe %major
%define libnamedev %mklibname -d vbe

Summary: Vesa BIOS extension tools
Name: vesautils
Version: 0.1
Release: %mkrel -c %{svn} 3
Source0: %{name}-%{svn}.tar.xz
Patch: vesautils-10-makefile.patch
Patch1: vesautils-10-get-edid-path.patch
License: GPLv2
Group: System/Configuration
Url: http://www.mplayerhq.hu/vesautils/index.html
BuildRequires: liblrmi-devel
ExclusiveArch: %ix86

%description
This is a collection of utilities and a library for handling the VESA
BIOS Extension (aka VBE) with the help of LRMI under Linux and BSD.

%package -n %{libname}
Group:System/Libraries
Summary: Vesa BIOS extension tools

%description -n %{libname}
This is a collection of utilities and a library for handling the VESA
BIOS Extension (aka VBE) with the help of LRMI under Linux and BSD.

%package -n %{libnamedev}
Group:Development/C
Summary: Vesa BIOS extension tools
Requires: %{libname} = %{version}
Provides: libvbe-devel = %{version}-%{release}
Obsoletes: %mklibname -d vbe 0

%description -n %{libnamedev}
This is a collection of utilities and a library for handling the VESA
BIOS Extension (aka VBE) with the help of LRMI under Linux and BSD.


%prep
%setup -q -n %{name}
%patch -p0
%patch1 -p1

%build
make
cd libvbe
make

%install
install -d %{buildroot}%{_bindir}
install -m 755 dosint get-edid vbemodeinfo %{buildroot}%{_bindir}
cd libvbe
mkdir -p %{buildroot}%{_libdir} %{buildroot}%{_includedir}
%makeinstall LIBDIR=%{buildroot}%{_libdir} INCDIR=%{buildroot}%{_includedir}

%files
%doc README
%{_bindir}/*

%files -n %{libname}
%{_libdir}/libvbe.so.%{major}*

%files -n %{libnamedev}
%{_libdir}/libvbe.so
%attr(644,root,root) %{_includedir}/vbe.h


%changelog

* Wed Jan 23 2013 fwang <fwang> 0.1-0.12.3.mga3
+ Revision: 391353
- update rpm group

* Mon Jan 14 2013 umeabot <umeabot> 0.1-0.12.2.mga3
+ Revision: 385404
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Aug 13 2012 luigiwalser <luigiwalser> 0.1-0.12.1.mga3
+ Revision: 281033
- svn snapshot 12 (sync with mdv)

* Sat Feb 18 2012 pterjan <pterjan> 0-10.10.mga2
+ Revision: 210445
- Fix license tag

* Thu Feb 17 2011 ahmad <ahmad> 0-10.9.mga1
+ Revision: 52838
- drop old/unneeded scriptlets
- imported package vesautils

